import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchSelectObjectSchema as CommissionBatchSelectObjectSchema } from './CommissionBatchSelect.schema';
import { CommissionBatchIncludeObjectSchema as CommissionBatchIncludeObjectSchema } from './CommissionBatchInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => CommissionBatchSelectObjectSchema).optional(),
  include: z.lazy(() => CommissionBatchIncludeObjectSchema).optional()
}).strict();
export const CommissionBatchArgsObjectSchema = makeSchema();
export const CommissionBatchArgsObjectZodSchema = makeSchema();
